Package edu.wisc.game.rest

## Class GameService2Html

- java.lang.Object
- - edu.wisc.game.rest.GameService2
  - - edu.wisc.game.rest.GameService2Html

-     @Path("/GameService2Html")
      public class GameService2Html
      extends GameService2

  The HTML wrapper for the Second Batch calls, to allow for the "HTML Play".

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GameService2Html()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `guessHtml​(String episodeId, String guessText, int confidence)` |
    `String` | `mostRecentEpisodeHtml​(String playerId)` |
    `String` | `moveHtml​(String episodeId, int x, int y, int bx, int by, int cnt)` |
    `String` | `newEpisodeHtml​(String playerId, boolean activateBonus, boolean giveUp)` |
    `String` | `pickHtml​(String episodeId, int x, int y, int cnt)` |
    `String` | `playerHtml​(String playerId, String exp)` |

    - ### Methods inherited from class edu.wisc.game.rest.GameService2

      `activateBonus, colorMap, debug, display, getVersion, giveUp, guess, listShapes, mostRecentEpisode, move, move, newEpisode, player`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GameService2Html

          public GameService2Html()

  - ### Method Detail

    - #### playerHtml

          @POST
          @Path("/playerHtml")
          @Consumes("application/x-www-form-urlencoded")
          @Produces("text/html")
          public String playerHtml​(@FormParam("playerId")
                                   String playerId,
                                   @DefaultValue("null") @FormParam("exp")
                                   String exp)

    - #### mostRecentEpisodeHtml

          @POST
          @Path("/mostRecentEpisodeHtml")
          @Consumes("application/x-www-form-urlencoded")
          @Produces("text/html")
          public String mostRecentEpisodeHtml​(@FormParam("playerId")
                                              String playerId)

    - #### newEpisodeHtml

          @POST
          @Path("/newEpisodeHtml")
          @Consumes("application/x-www-form-urlencoded")
          @Produces("text/html")
          public String newEpisodeHtml​(@FormParam("playerId")
                                       String playerId,
                                       @DefaultValue("false") @FormParam("activateBonus")
                                       boolean activateBonus,
                                       @DefaultValue("false") @FormParam("giveUp")
                                       boolean giveUp)

    - #### moveHtml

          @POST
          @Path("/moveHtml")
          @Consumes("application/x-www-form-urlencoded")
          @Produces("text/html")
          public String moveHtml​(@FormParam("episode")
                                 String episodeId,
                                 @FormParam("x")
                                 int x,
                                 @FormParam("y")
                                 int y,
                                 @FormParam("bx")
                                 int bx,
                                 @FormParam("by")
                                 int by,
                                 @FormParam("cnt")
                                 int cnt)

    - #### pickHtml

          @POST
          @Path("/pickHtml")
          @Consumes("application/x-www-form-urlencoded")
          @Produces("text/html")
          public String pickHtml​(@FormParam("episode")
                                 String episodeId,
                                 @FormParam("x")
                                 int x,
                                 @FormParam("y")
                                 int y,
                                 @FormParam("cnt")
                                 int cnt)

    - #### guessHtml

          @POST
          @Path("/guessHtml")
          @Consumes("application/x-www-form-urlencoded")
          @Produces("text/html")
          public String guessHtml​(@FormParam("episode")
                                  String episodeId,
                                  @FormParam("data")
                                  String guessText,
                                  @DefaultValue("-1") @FormParam("confidence")
                                  int confidence)